package com.adealink.weparty.im.stat

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.CommonEventKey
import com.adealink.frame.statistics.CommonEventValue
import com.adealink.frame.statistics.IEventValue

class StartChatEvent() : BaseStatEvent("mhhvkj") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)

}

class StartSessionEvent() : BaseStatEvent("z9bxom") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
    val sessionId = Param(CommonEventKey.SESSION_ID)

}